5 Replies Latest reply on Apr 8, 2010 7:33 PM by kingquattro

    unable to install FB4 premium plugin

    kingquattro Level 1

      Hi guys,

           I had FB4-beta 2 plugin installed on an existing eclipse 3.4.2.  Now that official release is out, beta 2 stopped working.  So I was forced to get FB4 premium.  I have used the uninstall utili that came with FB4-beta 2 to uninstall it, and installed FB4 trial version.  Everything went as expected so far.  Now how ever when I launch eclipse I don't have Flash builder prespective, nor does my code have any syntax highlighted or any help.  Under "help" section I tried to "Deactivate Flash builder", "Register Flash builder..." options but each time I get "The operation is disabled" message.  If I open a mxml file or .as file I get the attached error message in the console.  I have tried this couple of times, without success.

       

      Has any one else come across this? Do I need to delete some hidden file(s) after uninstall.  I am stuck, and need to get this resolved soon so I can move on with project development.

       

      Thank you,

      Jay

       

      p.s: Using FB4 as Plugin on Mac OSX, I can't start from scratch because eclipse have other plugins installed and configured, which I cannot lose, or have to do all over again.

       

      Error message in Console:

      ---------------------------

       

      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]    !MESSAGE Plug-in "com.adobe.flexide.as.core" was unable to instantiate class "com.adobe.flexide.as.core.filetemplates.ActionScriptFileTemplatesProvider".
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]    !STACK 0
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]    java.lang.ClassCircularityError: com/adobe/flexide/editorcore/document/IFlexDocument
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.Class.getDeclaredConstructors0(Native Method)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.Class.privateGetDeclaredConstructors(Class.java:2389)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.Class.getConstructor0(Class.java:2699)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.Class.newInstance0(Class.java:326)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.Class.newInstance(Class.java:308)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(Re gistryStrategyOSGI.java:170)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionR egistry.java:867)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(Configu rationElement.java:243)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(C onfigurationElementHandle.java:51)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at com.adobe.flexide.editorcore.EditorCore.registerFileTemplatesProviders(EditorCore.java:27 5)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at com.adobe.flexide.editorcore.EditorCore.start(EditorCore.java:217)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:1 009)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.security.AccessController.doPrivileged(Native Method)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextIm pl.java:1003)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:9 84)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:346)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:265)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:400)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLa zyStarter.java:111)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java :427)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoade r.java:193)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:37 0)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(SingleSourcePackag e.java:33)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java :443)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:399)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:387)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.jav a:87)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.loadClass(ClassLoader.java:250)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:398)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.defineClass1(Native Method)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.defineClass(ClassLoader.java:698)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.j ava:165)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:55 4)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java: 524)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager. java:455)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(Class pathManager.java:443)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java :423)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoade r.java:193)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalCla
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]    ss(BundleLoader.java:370)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java :446)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:399)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:387)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.jav a:87)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.loadClass(ClassLoader.java:250)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:398)
      4/7/10 2:01:51 PM    [0x0-0x262262].org.eclipse.eclipse[13267]        at java.lang.ClassLoader.defineClass1(Native Method)

        • 1. Re: unable to install FB4 premium plugin
          Jason San Jose Adobe Employee

          Try creating a new workspace (File > Switch Workspace > Other...) and see if you still have issues opening the Flash perspective. If you still have problems, please post your workspace log from <new workspace location>/.metadata/.log.

           

          Jason San Jose

          Software Engineer, Flash Builder

          • 2. Re: unable to install FB4 premium plugin
            kingquattro Level 1

            No go, attached is what is in my .log file. In fact I don't even any option for CF or Flex under my presepective.

             

             

            Contents of .log file:

            ------------------------------------------

             

            !SESSION 2010-04-07 17:18:10.096 -----------------------------------------------
            eclipse.buildId=M20090211-1700
            java.version=1.6.0_17
            java.vendor=Apple Inc.
            BootLoader constants: OS=macosx, ARCH=x86, WS=carbon, NL=en_US
            Framework arguments:  -keyring /Users/jbhavsar/.eclipse_keyring -showlocation
            Command-line arguments:  -os macosx -ws carbon -arch x86 -clean -clean -data /Users/jbhavsar/Documents/workspace/temp -clean -keyring /Users/jbhavsar/.eclipse_keyring -consoleLog -showlocation

             

            !ENTRY org.eclipse.core.net 1 0 2010-04-07 17:18:20.154
            !MESSAGE System property http.nonProxyHosts has been set to local|*.local|169.254/16|*.169.254/16 by an external source. This value will be overwritten using the values from the preferences

            • 3. Re: unable to install FB4 premium plugin
              Jason San Jose Adobe Employee

              Look for the folder <path to eclipse>/dropins/. Our installers should write a link file there that points to the FB/CF plugins. For example, on my windows machine I have:

               

              File: com.adobe.flexbuilder.feature.core.nl1.link

              Contents: path=C:/Program Files (x86)/Adobe/Adobe Flash Builder 4 Plug-in

               

              What do you see in your dropins folder?

               

              Jason San Jose

              Software Engineer, Flash Builder

              • 4. Re: unable to install FB4 premium plugin
                kingquattro Level 1

                Same here the, the file in dropin is pointing to right location

                 

                File in dropin: com.adobe.flexbuilder.feature.core.nl1.link

                path=/Applications/Adobe Flash Builder 4 Plug-in

                 

                but no such file for coldfusion, which is also installed a plugin

                 

                Jaysheel